### Method

# PangoOT Ruleset add_feature

#### Declaration [src]

    void
    pango_ot_ruleset_add_feature (
      PangoOTRuleset* ruleset,
      PangoOTTableType table_type,
      guint feature_index,
      gulong property_bit
    )

#### Description [src]

Adds a feature to the ruleset.

#### Parameters

`table_type`

  Type: `PangoOTTableType`

  The table type to add a feature to.

`feature_index`

  Type: `guint`

  The index of the feature to add.

`property_bit`

  Type: `gulong`

  The property bit to use for this feature. Used to identify the glyphs that this feature should be applied to, or `PANGO_OT_ALL_GLYPHS` if it should be applied to all glyphs.